import { useContext } from "react";
import { TuitioContext } from "../contexts";

const useTuitioToken = () => {
  const state = useContext(TuitioContext);
  const token = state.token;

  const validate = (): boolean => {
    const validUntil = state.validUntil;
    if (!validUntil) {
      return false;
    }
    const valid = new Date(validUntil) >= new Date();
    return valid;
  };

  const valid: boolean = validate();

  return { token, validate, valid };
};

export { useTuitioToken };
